import App from './App'
import request from './utils/request'
import store from './store/index.js'
import uploadAppVue from './components/upload-app/upload-app.vue'
import noData from 'components/noData/noData.vue'
import shareMixin from "./mixins/mixins";
import uvUI from '@/uni_modules/uv-ui-tools'
import { oprPresentLogin } from '@/utils/loginGlobal.js';


// 挂载到uni全局对象（核心：跨端通用）
uni.oprPresentLogin = oprPresentLogin;

Vue.prototype.$store = store

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.mixin(shareMixin);                                                                                                 
Vue.component('upload-app-vue', uploadAppVue);
Vue.component('noData', noData);
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  store,
  uvUI,
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif

Vue.prototype.$baseUrl = "https://app.mrrweb.com.cn";
Vue.prototype.$imgBaseUrl = "https://www.mrrweb.com.cn";